GetRegistryRecord
Retrieves the details of a registry record
Request Syntax
GET /registries/registryId/records/recordId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- recordId
-
The identifier of the registry record to retrieve (ARN or ID)
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
(arn:aws(-[^:]+)?:agent-registry:[a-z0-9-]+:[0-9]{12}:registry/[a-zA-Z0-9]{12,16}/record/)?[a-zA-Z0-9]{12}Required: Yes
- registryId
-
The identifier of the registry containing the record (ARN or ID)
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
(arn:aws(-[^:]+)?:agent-registry:[a-z0-9-]+:[0-9]{12}:registry/)?[a-zA-Z0-9]{12,16}Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"createdAt": "string",
"description": "string",
"descriptors": {
"a2aAgentCard": {
"data": "string",
"dataSchemaVersion": "string",
"source": {
"fromUrl": {
"credentialProviderConfigurations": [
{
"credentialProvider": { ... },
"credentialProviderType": "string"
}
],
"url": "string"
}
}
},
"agentSkillsDefinition": {
"additionalData": {
"skillMd": {
"data": "string",
"dataSchemaVersion": "string",
"source": {
"fromUrl": {
"credentialProviderConfigurations": [
{
"credentialProvider": { ... },
"credentialProviderType": "string"
}
],
"url": "string"
}
}
}
},
"data": "string",
"dataSchemaVersion": "string"
},
"custom": {
"data": "string"
},
"mcpServer": {
"additionalData": {
"tools": {
"data": "string",
"dataSchemaVersion": "string"
}
},
"data": "string",
"dataSchemaVersion": "string",
"source": {
"fromUrl": {
"credentialProviderConfigurations": [
{
"credentialProvider": { ... },
"credentialProviderType": "string"
}
],
"url": "string"
}
}
}
},
"displayName": "string",
"name": "string",
"recordArn": "string",
"recordId": "string",
"recordType": "string",
"recordVersion": "string",
"registryArn": "string",
"status": "string",
"statusReason": "string",
"updatedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- createdAt
-
The timestamp when the registry record was created.
Type: Timestamp
- description
-
A description of the registry record.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 4096.
- descriptors
-
The typed descriptors that define the content of the registry record.
Type: Descriptors object
- displayName
-
The human-readable display name of the registry record.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
- name
-
The name of the registry record. Names are unique within a registry.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
[a-zA-Z0-9][a-zA-Z0-9_\-\.\/]* - recordArn
-
The Amazon Resource Name (ARN) of the registry record.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:aws(-[^:]+)?:agent-registry:[a-z0-9-]+:[0-9]{12}:registry/[a-zA-Z0-9]{12,16}/record/[a-zA-Z0-9]{12} - recordId
-
The unique identifier of the registry record.
Type: String
Length Constraints: Fixed length of 12.
Pattern:
[a-zA-Z0-9]{12} - recordType
-
The type of the registry record, such as MCP, AGENT, SKILL, or CUSTOM.
Type: String
Valid Values:
MCP | AGENT | CUSTOM | SKILL - recordVersion
-
The version identifier of the registry record.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 255.
Pattern:
[a-zA-Z0-9.-]+ - registryArn
-
The Amazon Resource Name (ARN) of the parent registry that owns the record.
Type: String
Length Constraints: Minimum length of 46. Maximum length of 2048.
Pattern:
arn:aws(-[^:]+)?:agent-registry:[a-z0-9-]+:[0-9]{12}:registry/[a-zA-Z0-9]{12,16} - status
-
The lifecycle status of the registry record.
Type: String
Valid Values:
DRAFT | PENDING_APPROVAL | APPROVED | REJECTED | DEPRECATED | CREATING | UPDATING | CREATE_FAILED | UPDATE_FAILED - statusReason
-
The reason for the current status. Typically populated when the status indicates a failure state.
Type: String
- updatedAt
-
The timestamp when the registry record was last updated.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The caller is not authorized to perform the requested action.
HTTP Status Code: 403
- ConflictException
-
The request conflicts with the current state of the resource.
HTTP Status Code: 409
- InternalServerException
-
The request failed due to an unexpected internal error; the caller may retry.
HTTP Status Code: 500
- ResourceNotFoundException
-
The requested resource was not found.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling; the caller may retry after a delay.
HTTP Status Code: 429
- ValidationException
-
The request failed validation of one or more input fields.
- fieldList
-
The list of input fields that failed validation.
- reason
-
The reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: